import javafx.scene.image.Image;
import javafx.scene.image.ImageView;

public class Bicicleta {
	 private Image bicicleta;
	private ImageView mostrarBicicleta;
	
	public Bicicleta() {
		this.bicicleta = new Image("bici.png",160,100,false,true);
		this.mostrarBicicleta = new ImageView(bicicleta);
		this.mostrarBicicleta.setRotate(0.0);
	}
	
	public void colocarMirarIzquierda(double x,double y) {
		this.bicicleta = new Image("bici.png",160,100,false,true);
		this.mostrarBicicleta = new ImageView(bicicleta);
		this.mostrarBicicleta.setX(x);
    	this.mostrarBicicleta.setY(y);
	}
	
	public void colocarMirarDerecha(double x,double y) {
		this.bicicleta = new Image("bici2.png",160,100,false,true);
		this.mostrarBicicleta = new ImageView(bicicleta);
		this.mostrarBicicleta.setX(x);
    	this.mostrarBicicleta.setY(y);
	}
	
	public void girar(double n) {
		double rotacion = (n * 180)/Math.PI;
		this.mostrarBicicleta.setRotate(rotacion);
	}
	
	public ImageView getImageView() {
		return mostrarBicicleta;
	}
	
}
